import axios from 'axios'
import config from '../apiConfig'

//var WxApiRoot = 'https://uat.jzmall.lifejingzhi.com/h5/';  
// uat环境使用
var WxApiRoot = 'http://localhost:8081/h5/'; 
 
//新版，宅洁士
//  var WxApiRoot='https://mall.zhaijieshi.cc/wx/';

   
 
const $regCaptcha=params => axios.post( WxApiRoot + 'auth/regCaptcha',params);  // 获取验证码
const $loginByCaptcha=params => axios.post( WxApiRoot + 'auth/loginByCaptcha',params);  // 验证码登录
const $loginByMobile=params => axios.post( WxApiRoot + 'auth/loginByMobile',params);  // 平台提供手机号 静默登录
const $loginByJwt=params => axios.post( WxApiRoot + 'auth/loginJwt',params);  // jwt登录

const $GetShop=params => axios.get( WxApiRoot + 'shop/getShop',{params});  // 根据经纬度获取当前门店
const $GetShopList=params => axios.get( WxApiRoot + 'shop/getShopList',{params});  // 获取所有门店
const $Index=params => axios.get( WxApiRoot + 'home/index',{params});  // 首页信息
const $CustomerInfo=params => axios.get( WxApiRoot + 'user/detail',{params});  // 首页信息


const $CatalogList=params => axios.get(WxApiRoot + 'catalog/index',{params}); //分类目录全部分类数据接口
const $CatalogCurrent=params => axios.get(WxApiRoot + 'catalog/current',{params});//分类目录当前分类数据接口
const $GoodsCount=params => axios.get(WxApiRoot + 'goods/count',{params}); //统计商品总数
const $GoodsL1Category=params => axios.get(WxApiRoot+'goods/categoryGoods',{params});//类目下所有商品
const $GoodsDetail=params => axios.get(WxApiRoot + 'goods/detail',{params});//获得商品的详情

const $OrderList=params => axios.get(WxApiRoot + 'order/list',{params}); //订单列表
const $OrderCancel=params => axios.post(WxApiRoot + 'order/cancel',params); //取消订单
const $OrderDelete=params => axios.post(WxApiRoot + 'order/delete',params); //删除订单
const $OrderDetail=params => axios.get(WxApiRoot + 'order/detail',{params}); //订单详情
const $OrderPayResult=params => axios.get(WxApiRoot + 'order/payResult',{params}); //订单支付结果
const $OrderBookDetail=params => axios.get(WxApiRoot + 'orderbook/details',{params}); //预约单详情
const $OrderAfterSave=params => axios.post(WxApiRoot + 'aftersale/submit',params); //售后提交
const $OrderAftersaleDetal=params => axios.get(WxApiRoot + 'aftersale/detail',{params}); //售后详情

const $OrderCheck=params => axios.get(WxApiRoot + 'order/check',{params}); //门店和商品是否符合
const $OrderSubmit=params => axios.post(WxApiRoot + 'order/submit',params); //订单提交
const $OrderPayPrepay=params => axios.post(WxApiRoot + 'order/prepay',params); //发起支付

const $CartFastAdd=params => axios.post(WxApiRoot + 'cart/fastadd',params);  // 立即购买商品
const $CartCheckout=params => axios.get( WxApiRoot + 'cart/checkout',{params});  // 下单前信息确认

const $GoodsList=params => axios.get(WxApiRoot+'goods/list',{params});//类目下列表（不包括l1分类)
const $AddressList=params => axios.get(WxApiRoot+'address/list',{params});//地址列表
const $AddressSave=params => axios.post(WxApiRoot+'address/save',params);//地址保存
const $AddressDetail=params => axios.get(WxApiRoot+'address/detail',{params});//地址详情
const $AddressDelete=params => axios.post(WxApiRoot+'address/delete',params);//地址删除


  

export default {
    $regCaptcha,
    $loginByCaptcha,
    $loginByMobile,
    $loginByJwt,
    $GetShop,
    $GetShopList,

    $Index,
    $CatalogList,
    $CatalogCurrent,
    $GoodsCount,
    $GoodsL1Category,
    $GoodsDetail,
    $OrderList,
    $OrderCancel,
    $OrderDelete,
    $OrderDetail,
    $OrderPayResult,
    $OrderBookDetail,
    $OrderAfterSave,
    $OrderAftersaleDetal,
    $OrderCheck,
    $OrderSubmit,
    $OrderPayPrepay,

    $CartFastAdd,
    $CartCheckout,
    $GoodsList,
    $AddressList,
    $AddressSave,
    $AddressDetail,
    $AddressDelete,

    $CustomerInfo
}